## atspi-hypertext

atspi-hypertext

## Functions

gint | atspi_hypertext_get_n_links ()
AtspiHyperlink * | atspi_hypertext_get_link ()
gint | atspi_hypertext_get_link_index ()

## Types and Values

| AtspiHypertext

## Object Hierarchy

        GInterface
        ╰── AtspiHypertext

## Known Implementations

AtspiHypertext is implemented by AtspiAccessible.

## Description

## Functions

### atspi_hypertext_get_n_links ()

    gint
    atspi_hypertext_get_n_links (AtspiHypertext *obj,
                                 GError **error);

Gets the total number of AtspiHyperlink objects that an AtspiHypertext implementor has.

#### Parameters

obj | a pointer to the AtspiHypertext implementor on which to operate. |

#### Returns

a gint indicating the number of AtspiHyperlink objects of the AtspiHypertext implementor, or -1 if the number cannot be determined (for example, if the AtspiHypertext object is so large that it is not all currently in the memory cache).

### atspi_hypertext_get_link ()

    AtspiHyperlink *
    atspi_hypertext_get_link (AtspiHypertext *obj,
                              gint link_index,
                              GError **error);

Gets the AtspiHyperlink object at a specified index.

#### Parameters

obj | a pointer to the AtspiHypertext implementor on which to operate. |
link_index | a (zero-index) gint indicating which hyperlink to query. |

#### Returns

the AtspiHyperlink object specified by `link_index` .

[nullable][transfer full]

### atspi_hypertext_get_link_index ()

    gint
    atspi_hypertext_get_link_index (AtspiHypertext *obj,
                                    gint character_offset,
                                    GError **error);

Gets the index of the AtspiHyperlink object at a specified character offset.

#### Parameters

obj | a pointer to the AtspiHypertext implementor on which to operate. |
character_offset | a gint specifying the character offset to query. |

#### Returns

the linkIndex of the AtspiHyperlink active at character offset `character_offset` , or -1 if there is no hyperlink at the specified character offset.

## Types and Values

### AtspiHypertext

    typedef struct _AtspiHypertext AtspiHypertext;